Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder.coverage
Class CloverReportParser

    java.lang.Object
      com.atlassian.bamboo.builder.coverage.CloverReportParser

    public class CloverReportParser

extends Object

Constructor Summary
`CloverReportParser()`

Method Summary
`long` | `getClasses()`
`long` | `getConditionals()`
`long` | `getCoveredConditionals()`
`long` | `getCoveredElements()`
`long` | `getCoveredMethods()`
`long` | `getCoveredStatements()`
`long` | `getElements()`
`long` | `getFiles()`
`long` | `getLoc()`
`long` | `getMethods()`
`long` | `getNcloc()`
`long` | `getPackages()`
`double` | `getProjectCoveragePercentage()`
`long` | `getStatements()`
`void` | `parse(File file)`
`void` | `parse(InputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloverReportParser

    public CloverReportParser()

Method Detail

### parse

    public void parse(InputStream stream)
               throws DocumentException

  Throws:
    `DocumentException`

### parse

    public void parse(File file)
               throws MalformedURLException,
                      DocumentException

  Throws:
    `MalformedURLException`
    `DocumentException`

### getCoveredElements

    public long getCoveredElements()

### getElements

    public long getElements()

### getFiles

    public long getFiles()

### getClasses

    public long getClasses()

### getCoveredConditionals

    public long getCoveredConditionals()

### getConditionals

    public long getConditionals()

### getPackages

    public long getPackages()

### getLoc

    public long getLoc()

### getNcloc

    public long getNcloc()

### getStatements

    public long getStatements()

### getCoveredStatements

    public long getCoveredStatements()

### getMethods

    public long getMethods()

### getCoveredMethods

    public long getCoveredMethods()

### getProjectCoveragePercentage

    public double getProjectCoveragePercentage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.